/* Common */

[ng\:cloak],
[ng-cloak],
[data-ng-cloak],
[x-ng-cloak],
.ng-cloak,
.x-ng-cloak {
    display: none !important;
}

[bs-affix] show-info {
    position: absolute;
    right: -55px;
}

.col-one-eight {
    width: 12.5%;
}

.top-offset-1 {
    margin-top: 1%;
}

.top-offset-2 {
    margin-top: 2%;
}

.top-offset-3 {
    margin-top: 3%;
}

.padding-left-30 {
    padding-left: 30px;
}

.clickable {
    cursor: pointer;
}

.display-none {
    display: none;
}

.min-height-1 {
    min-height: 50px;
}

.min-height-2 {
    min-height: 100px;
}

.min-height-3 {
    min-height: 150px;
}

.min-height-4 {
    min-height: 220px;
}

.red {
    color: red;
}

.chevron {
    top: 2px;
    padding-left: 5px;
}

input.ng-invalid.ng-touched {
    border-color: #a94442;
}

/* Compact error message style */
.compact-error-message {
    color: #a94442;
    font-size: 12px;
    line-height: 1;
    padding-top: 2px;
    margin: 0;
}

.borderless > tbody > tr > td, .borderless > thead > tr > th {
    border: none;
}

@media (max-width: 768px) {
    .action-button {
        font-size: 16px;
    }
}

.utskrift-box-table td, th {
    padding-bottom: .5em;
}

/* SMS */

.sms-in {
    background-color: #FFFDE7;
}

.sms-out {
    background-color: #E1F5FE;
}

.comment-selected {
    background-color: #a9ffa9;
}

/* Product Box */

.product-box-img {
    width: 200px;
    height: 200px;
}

.product-box-content {
    font-size: 14px;
    font-style: italic;
    margin-bottom: 5px;
}


/* File Button */

.fileinput-button {
    position: relative;
    overflow: hidden;
}

.fileinput-button input {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    opacity: 0;
    -ms-filter: 'alpha(opacity=0)';
    font-size: 200px;
    direction: ltr;
    cursor: pointer;
}

@media screen\9 {
    /* Fixes for IE < 8 */
    .fileinput-button input {
        filter: alpha(opacity=0);
        font-size: 100%;
        height: 100%;
    }
}

.ignore-has-error {
    border: 1px solid #ccc !important;
}

.ignore-has-error:focus {
    border-color: #66afe9 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6) !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6) !important;
}

.eager-has-error.ng-invalid {
    border-color: #a94442;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

/* Front Page */

.front-page-search-icon {
    padding-top: 6px;
    padding-right: 15px;
    font-size: 20px
}

.front-page-create-button {
    padding: 40px 5px;
}

.front-page-create-button-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.front-page-top-height {
    min-height: 230px;
}

.infinite-scroll-table {
    height: 400px;
    display: block;
    overflow-y: scroll;
}

.priority {
    color: red;
    font-weight: bold;
    font-size: 10px;
}

.divider-row {
    border-top: 1px solid #ddd;
}

.divider-row::before {
    display: block;
    padding: 0.5em;
    color: #fff;
    font-weight: bold;
    background-color: #222;
    content: "Forespørseler og bestillinger ovenfor venter på behandling av Scan Granitt";
}

.divider-row ~ .divider-row {
    border-top: 1px;
}

.divider-row ~ .divider-row::before {
    content: none;
}

.break-section {
    margin-top: 1em;
}

table.infinite-scroll-table thead tr th {
    border-bottom: none;
    cursor: pointer;
}

.readOnly,
table.infinite-scroll-table thead tr th i {
    pointer-events: none;
}

.infinite-scroll-table tbody {
    padding-bottom: 30px;
}

.infinite-scroll-table thead,
.infinite-scroll-table thead tr,
.infinite-scroll-table tbody,
.infinite-scroll-table tbody tr {
    display: block;
    width: 100%;
}

.infinite-scroll-table th:nth-of-type(1),
.infinite-scroll-table td:nth-of-type(1) {
    min-width: 100px;
}

.infinite-scroll-table th:nth-of-type(2),
.infinite-scroll-table th:nth-of-type(4),
.infinite-scroll-table th:nth-of-type(6),
.infinite-scroll-table td:nth-of-type(2),
.infinite-scroll-table td:nth-of-type(4),
.infinite-scroll-table td:nth-of-type(6) {
    min-width: 150px;
}

.infinite-scroll-table th:nth-of-type(5),
.infinite-scroll-table td:nth-of-type(5) {
    min-width: 200px;
}

.infinite-scroll-table th:nth-of-type(3),
.infinite-scroll-table td:nth-of-type(3) {
    width: 100%;
}

.table-comments td {
    vertical-align: middle !important;
}

.vertical-center {
    display: flex;
    align-items: center;
}



@media (min-width: 768px) {
    .form-horizontal.form-left .control-label {
        text-align: left;
    }
}

.modal-dialog.extend {
    width: 1075px;
}

.modal-dialog .modal-body img + i {
    pointer-events: none;
    position: absolute;
    bottom: 25px;
    right: 25px;
    font-size: x-large;
  }

#history-short.infinite-scroll-table {
    height: 600px;
}

#history-short.infinite-scroll-table th:nth-of-type(1),
#history-short.infinite-scroll-table td:nth-of-type(1) {
    width: 150px;
}

#history-short.infinite-scroll-table th:nth-of-type(2),
#history-short.infinite-scroll-table td:nth-of-type(2) {
    width: 275px;
}

#history-short.infinite-scroll-table th:nth-of-type(3),
#history-short.infinite-scroll-table td:nth-of-type(3) {
    width: 100px;
}

#history-short.infinite-scroll-table th:nth-of-type(4),
#history-short.infinite-scroll-table td:nth-of-type(4) {
    min-width: 75px;
    width: 75px;
}

#history-short.infinite-scroll-table th:nth-of-type(5),
#history-short.infinite-scroll-table td:nth-of-type(5) {
    width: 350px;
}

#history-short.infinite-scroll-table th:nth-of-type(6),
#history-short.infinite-scroll-table td:nth-of-type(6) {
    min-width: 175px;
    text-align: center;
}

table.historyLog tr.add {
    background-color: #dff0d8;
}

table.historyLog tr.update {
    background-color: #fcf8e3;
}

table.historyLog tr.delete {
    background-color: #f2dede;
}

table.historyLog th:nth-of-type(2),
table.historyLog td:nth-of-type(2) {
    text-align: center;
}

table.historyLog th:nth-of-type(3),
table.historyLog td:nth-of-type(3) {
    text-align: right;
}

.text-label-ellipsis {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    overflow-wrap: break-word;
}

.break-line {
    padding: 10px
}

.break-line ~ .break-line {
    border-top: 1px solid #ddd;
}

.subStage {
    margin-left: 3em;
    margin-bottom: 10px;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.gallery .thumbnail {
    position: relative;
    width: 100px;
    height: 100px;
    overflow: hidden;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 5px;
}

.gallery .thumbnail img {
    width: 100%;
    height: auto;
}

.gallery .caption button {
    width: 100%;
    height: auto;
}

.icon-ext {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 5px 10px;
    border-radius: 3px;
    text-align: center;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 100;
}

.overlay-content {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    z-index: 1;
    cursor: ne-resize;
}

.overlay img {
    max-width: 90%;
    max-height: 90%;
}

.overlay .icon-ext {
    font-size: xx-large;
}

.nav-area {
    position: absolute;
    top: 0;
    width: 45%;
    height: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    color: lightgrey;
    font-size: 2em;
}

.nav-area:hover {
    color: white;
}

.nav-area.left {
    left: 0;
}

.nav-area.right {
    right: 0;
}

.nav-icon {
    pointer-events: none;
}

.nav-actions {
    position: absolute;
    top: 100px;
    right: 50px;
    display: flex;
    gap: 10px;
    z-index: 20;
}

.nav-actions button {
    background: none;
    border: none;
    color: lightgrey;
    font-size: 2em;
    cursor: pointer;
    outline: none;
}

.nav-actions button:hover {
    color: white;
}

.nav-dots {
    position: absolute;
    bottom: 20px;
    display: flex;
    justify-content: center;
    width: 100%;
    z-index: 10;
}

.nav-dots span {
    margin: 0 5px;
    padding: 5px;
    background: gray;
    border-radius: 50%;
    cursor: pointer;
    font-size: 1em;
}

.nav-dots .active {
    background: white;
}

.ui-select-multiple {
    min-height: 34px;
    padding: 3px 25px 0px 3px!important;
}

.ui-select-multiple .ui-select-match span {
    font-size: 15px!important;
    z-index: 1;
}

.ui-select-multiple .ui-select-match .close {
    font-size: 25px!important;
}

.ui-select-multiple .ui-select-search {
    position: absolute;
    left: 0px;
    top: 0px;
    height: 100%!important;
    padding: 0px 12px;
    user-select: none;
    cursor: default;
    caret-color: transparent;
    z-index: 0;
}
